TasksTask metrics

Task metrics

Needs: Tasks, Read

Returns the Tasks page header totals for a period: billable hours and minutes (completed billable tasks, using charge minutes where there are charges, otherwise the task duration), task, completed, incomplete and overdue counts, scheduled minutes, and outstanding tasks from before the period.

Note: groups is only returned with group_by. For client and assignee each group also has a name.

curl -X GET "https://app.imploy.com.au/api/integrations/v1/tasks/metrics?from=example_string&to=example_string&client_id=123&assignee_id=123&group_by=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "from": "2026-03-02",
  "to": "2026-03-08",
  "totals": {
    "tasks": 24,
    "completed": 18,
    "incomplete": 6,
    "overdue": 2,
    "billable_tasks": 20,
    "billable_minutes": 540,
    "billable_hours": 9,
    "scheduled_minutes": 720,
    "outstanding_before_period": 3
  },
  "groups": [
    {
      "key": "2026-03-02",
      "tasks": 5,
      "completed": 4,
      "incomplete": 1,
      "overdue": 0,
      "billable_tasks": 4,
      "billable_minutes": 120,
      "billable_hours": 2,
      "scheduled_minutes": 150
    }
  ]
}
GET
/tasks/metrics
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
query
fromstring

YYYY-MM-DD. Defaults to this week.

query
tostring

YYYY-MM-DD.

query
client_idinteger

Only this client.

query
assignee_idinteger

Only this staff member.

query
group_bystring

An optional breakdown: client, assignee, day or week.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Query Parameters

fromstring

YYYY-MM-DD. Defaults to this week.

tostring

YYYY-MM-DD.

client_idinteger

Only this client.

assignee_idinteger

Only this staff member.

group_bystring

An optional breakdown: client, assignee, day or week.

Responses

OK